OS X users should be aware that Apple has recently published a security update for 10.4, designed to repair a vulnerability in “QuickTime for Java and Quartz Composer”. A separate download has been issued whether you have a PowerPC based Mac or an Intel based Mac. The exploit itself seems quite specific, requiring a combination of three programs:

"Java applets may use QuickTime for Java to obtain the images rendered on screen by embedded QuickTime objects and upload them to the originating web site," Apple explained. "When this facility is used in conjunction with Quartz Composer, it becomes possible to capture images that may contain local information."
It is also specific to 10.4, not affecting previous versions. If you're using 10.4, go get it.